<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Transfer Unit</span>
            </h5>
            <p-tabView class="mpm-tab">
                <p-tabPanel header="Sales Note">
                    <p-accordion class="filter-accordion">
                        <p-accordionTab header="Filter" [selected]="true">
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Market Name</label>
                                            <select class="form-control">
                                                <option value="1">Select Market Name</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_dateCreate">Tanggal</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Kode Tipe</label>
                                            <select class="form-control">
                                                <option value="1">Select Kode Tipe</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_" jhiTranslate="mpmApp.vehicleSalesOrder.status">Status</label>
                                            <select class="form-control">
                                                <option value="1">Open</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_">Warna</label>
                                            <select class="form-control">
                                                <option value="1">Select Warna</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter">
                                        <span>Filter</span>
                                    </button>
                                </div>      
                        </p-accordionTab>
                    </p-accordion>

                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-70 mt-2">
                    
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <select class="form-control">
                                            <option value="1">Create Request</option>
                                        </select>
                                        &nbsp;
                                    </div>
                                </div>
                    
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="Cari...">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                                &nbsp;
                    
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <select class="form-control">
                                            <option value="1">Semua Kolom</option>
                                        </select>
                                        &nbsp;
                                    </div>
                                </div>
                    
                                <div class="btn-filter-wrapper pull-right">
                                    <button (click)="saveUploadFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                        <span>GO</span>
                                    </button>
                                </div> -->
                                <div class="btn-filter-wrapper pull-right">
                                    <button [routerLink]="['../request-note-pilih-cabang']"(click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                        <span>Create Request</span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <p-dataTable
                    [value]="unitDocumentMessage"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                    [(selection)]="selected"
                    class="width-filter">
                    <p-header>
                        <jhi-alert></jhi-alert>
                    </p-header>
                    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                    <!-- <p-column header="idReq"  >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.idReq"></div>
                                {{rowData.idReq'}}
                        </ng-template>
                    </p-column> -->
                    <p-column header="Tanggal"  >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.DtSalesNote"></div>
                                {{rowData.DtSalesNote|date:'dd-MMM-yyyy'}}
                        </ng-template>
                    </p-column>

                    <p-column header="No VSO" >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.VSONo">
                            </div>{{rowData.VSONo}}
                        </ng-template>
                    </p-column>

                    <p-column header="Market Name">
                        
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.MarketName}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="Kode Tipe">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.IdProduct">
                            </div>
                                {{rowData.IdProduct}}
                        </ng-template>
                    </p-column>

                    <p-column header="Warna">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Color}}
                        </ng-template>
                    </p-column>

                    <p-column header="Qty">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Qty}}
                        </ng-template>
                    </p-column>

                    <p-column header="Sales">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.SalesName}}
                        </ng-template>
                    </p-column>

                    <p-column header="Korsal">
                        
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.Korsal}}
                            <!-- <div *ngIf="rowData.customerId">
                                {{rowData.customerName}}
                            </div> -->
                        </ng-template>
                    </p-column>
    
                    <p-column header="Status"  >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <div *ngIf="rowData.customerName"> -->
                                <!-- {{rowData.customerName}} -->
                            <!-- Status isi nya apaan seh Riwan ? -->
                            <!-- </div> -->
                            <!-- {{getStatusMotor(rowData.salesUnitRequirement.productId)}}
                            {{cekIfHotItem(rowData.salesUnitRequirement.productId)}} -->
                            <div *ngIf="rowData.Status">
                            </div>
                            {{rowData.Status}}
                            <!-- {{rowData.statusMotor}} -->
                        </ng-template>
                    </p-column>
    
    
                    <!-- <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}" [style]="{'min-width': '80px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit"
                                    [routerLink]="['/', { outlets: { popup: 'admin-po-leasing/'+ rowData.idOrder + '/popup-edit'} }]"
                                    replaceUrl="true"
                                    icon="fa-pencil"
                                    class="ui-button-primary">
                                </button>                     
                                <button pButton type="button"
                                    (click)="updateLeasing(rowData)"
                                    icon="fa-check"
                                    *ngIf="rowData.dateCoverNote && rowData.dateTakePicture && rowData.dateSwipeMachine && rowData.dateCustomerReceipt && rowData.dateBASTUnit"
                                    class="ui-button-primary">
                                </button>
                            </ng-template>
                        </p-column> -->
    
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-column>
    
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
    
                </p-dataTable>
                </p-tabPanel>
                
                <p-tabPanel header="Request Note">
                        <jhi-transfer-unit-request-note></jhi-transfer-unit-request-note>
                </p-tabPanel>
                    
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<!-- <p-dialog [(visible)]="newTagihan" closable="true" responsive="true" width="480" modal="true">
    <p-header>
        Update Tagihan Leasing
    </p-header>

    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nomor IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Tanggal IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nilai IVU</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx" disabled />
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Nilai PO</label>
        <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
            value="xxx-xxx-xxx"/>
    </div>
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Tanggal PO</label>
        <div class="input-group input-calendar">
            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                dateFormat="dd-mm-yy" 
                [showIcon]="true"></p-calendar>
        </div>
    </div> -->
    
    <!-- <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Kelengkapan Dokumen</label>    

        <p-checkbox name="input_DBU" value="val1" label="Dok. BAST Unit" class="form-checkbox" binary="true" [(ngModel)]="checkBastUnit" (onChange)="onChangeBastUnit($event)"></p-checkbox>
        {{ vehicleSalesOrder.unitDeliverable.BastUnit | date:'dd-MM-yyyy' }}
        <p-checkbox name="input_Ktagihan" value="val2" label="Kuitansi Tagihan" class="form-checkbox" binary="true" [(ngModel)]="checkKuitansiTagihan" (onChange)="onChangeKuitansiTagihan($event)"></p-checkbox>
        {{ vehicleSalesOrder.KuitansiTagihan | date:'dd-MM-yyyy' }}
        <p-checkbox name="input_gnn" value="val3" label="Gesekan NOKA dan NOSIN" class="form-checkbox" binary="true" [(ngModel)]="checkNokadanNosin" (onChange)="onChangeNokadanNosin($event)"></p-checkbox>
        {{ vehicleSalesOrder.NokadanNosin | date:'dd-MM-yyyy' }}
        <p-checkbox name="lamp" value="val4" label="Lampiran foto serah terima" class="form-checkbox" binary="true" [(ngModel)]="checkSerahTerima" (onChange)="onChangeSerahTerima($event)"></p-checkbox>
        {{ vehicleSalesOrder.SerahTerima | date:'dd-MM-yyyy' }}

    </div> -->

    
    <!-- <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Cover Note</label>        
        <div class="alert alert-secondary" role="alert">
            Belum Dicetak
        </div>
        <button class="btn btn-primary">Cetak Cover Note</button>         
    </div>

    <p-footer>
        <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
            <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="newPending" closable="true" responsive="true" width="480" modal="true">
    <p-header>
        Konfirmasi Pending
    </p-header>

    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber">Note</label>
        <textarea name="pending" class="form-control"></textarea>
    </div>

    <p-footer>
        <button type="button" class="btn btn-primary" (click)="newTagihan = !newTagihan">
            <span class="fa fa-check"></span>&nbsp;<span>Submit</span>
        </button>
    </p-footer>
</p-dialog> -->